/// @addtogroup krak
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file dos16.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

// krak/krak.h include for DOS and WIN 3.1
#  include <stdarg.h>
#  ifdef _krak_c
#    include <stdio.h>
#    include <time.h>
#    include <alloc.h>
#    include <conio.h>
#  endif
#  define HDR 800
#  define VDR 600
#  define MAX_COLOR_NO 16
#  define HG huge

#  define var_head void _FAR *

#  define SC(c,r,g,b) red_c[c]=(BYTE)(255*(r));green_c[c]=(BYTE)(255*(g));blue_c[c]=(BYTE)(255*(b));
#  define COLOR(a) RGB(red_c[a],green_c[a],blue_c[a])
#  define mlalloc farmalloc
#  define lfree farfree

/// @}
